import request from '@/utils/request'

export function GetDialysisProcessIndexChartData(params) {
  return request({
    url: '/m/api/dialysisprocessindex/chart',
    method: 'get',
    params:params,
  })
}

export function GetDialysisProcessIndexTableData(params) {
  return request({
    url: '/m/api/dialysisprocessindex/table',
    method: 'get',
    params:params,
  })
}


export function GetDialysisWatchChartData(params) {
  return request({
    url: '/m/api/dialysiswatch/chart',
    method: 'get',
    params:params,
  })
}


export function GetDialysisWatchTableData(params) {
  return request({
    url: '/m/api/dialysiswatch/table',
    method: 'get',
    params:params,
  })
}


export function GetDialysisBloodPressureChartData(params) {
  return request({
    url: '/m/api/dialysisbloodpressure/chart',
    method: 'get',
    params:params,
  })
}


export function GetDialysisBloodPressureTableData(params) {
  return request({
    url: '/m/api/dialysisbloodpressure/table',
    method: 'get',
    params:params,
  })
}




export function GetDialysisPatientBloodPressureChartData(params) {
  return request({
    url: '/m/api/patientdialysisbloodpressure/chart',
    method: 'get',
    params:params,
  })
}




export function GetDialysisWeightChartData(params) {
  return request({
    url: '/m/api/dialysisweight/chart',
    method: 'get',
    params:params,
  })
}



export function GetDialysisWeightTableData(params) {
  return request({
    url: '/m/api/dialysisweight/table',
    method: 'get',
    params:params,
  })
}


export function GetDialysisPatientWeightChartData(params) {
  return request({
    url: '/m/api/patientdialysisweight/chart',
    method: 'get',
    params:params,
  })
}



export function GetDoctorWorkloadChartData(params) {
  return request({
    url: '/m/api/doctorworkload/chart',
    method: 'get',
    params:params,
  })
}



export function GetDoctorWorkloadTableData(params) {
  return request({
    url: '/m/api/doctorworkload/table',
    method: 'get',
    params:params,
  })
}



export function GetNurseWorkloadChartData(params) {
  return request({
    url: '/m/api/nurseworkload/chart',
    method: 'get',
    params:params,
  })
}



export function GetNurseWorkloadTableData(params) {
  return request({
    url: '/m/api/nurseworkload/table',
    method: 'get',
    params:params,
  })
}



export function GetAllAdminUser() {
  return request({
    url: '/m/api/adminuser/all',
    method: 'get',
  })
}

export function GetDefalutPatient() {
  return request({
    url: '/m/api/defalutpatient/get',
    method: 'get',
  })
}




export function GetInspectionIndexInit() {
  return request({
    url: '/m/api/inspectionindex/init',
    method: 'get',
  })
}


export function GetRangeValue(params) {
  return request({
    url: '/m/api/rangevalue/get',
    method: 'get',
    params:params,

  })
}



export function GetInspectionIndexChart(params) {
  return request({
    url: '/m/api/inspectionindex/chart',
    method: 'get',
    params:params,

  })
}

export function GetInspectionIndexTable(params) {
  return request({
    url: '/m/api/inspectionindex/table',
    method: 'get',
    params:params,

  })
}

export function GetPatientInspectionIndexChart(params) {
  return request({
    url: '/m/api/patientinspectionindex/chart',
    method: 'get',
    params:params,

  })
}

export function GetPatientInspectionIndexBarChart(params) {
  return request({
    url: '/m/api/patientinspectionindex/barchart',
    method: 'get',
    params:params,

  })
}


export function GetAllPatients() {
  return request({
    url: '/m/api/patients/get',
    method: 'get',

  })
}



export function GetPatientLapsetoTable(params) {
  return request({
    url: '/m/api/patientlapseto/table',
    method: 'get',
    params:params,

  })
}

export function GetPatientLapsetoChart(params) {
  return request({
    url: '/m/api/patientlapseto/chart',
    method: 'get',
    params:params,

  })
}

export function GetStockInfo(params) {
  return request({
    url: '/m/api/stock/get',
    method: 'get',
    params:params,

  })
}


